package com.fos.modules.order.entity;



import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class OrderEntity extends BaseEntity{

	/**
	 * 
	 */
	@JSONField(name = "userId")//用户ID
    private int userId;
	
	@JSONField(name = "order2FoodId")
    private int order2FoodId;
	
	@JSONField(name = "sys_name")//管理员
	private String sys_name;

	@JSONField(name = "orderCode")//订单code
	private String orderCode;
	
	@JSONField(name = "seatId")//座位ID
	private int seatId;
	
	@JSONField(name = "orderId")//订单ID
	private int orderId;
	
	@JSONField(name = "foodName")
    private String foodName;
	
	@JSONField(name = "foodNum")
    private int foodNum;
	
	@JSONField(name = "orderFoodId")
    private int orderFoodId;
	
	@JSONField(name = "foodId")
    private int foodId;
	
	@JSONField(name = "foodType")
    private int foodType;//食品类型
	
	@JSONField(name = "remark")
    private String remark;//备注

	@JSONField(name="preId")
    private List<Integer> preId;   //食品口味
	
	@JSONField(name="begin_time")
    private Date beginTime;   //订单开始时间
	
	@JSONField(name = "orderStatus")
    private int orderStatus;//订单状态
	
	public int getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(int orderStatus) {
		this.orderStatus = orderStatus;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public int getOrder2FoodId() {
		return order2FoodId;
	}

	public void setOrder2FoodId(int order2FoodId) {
		this.order2FoodId = order2FoodId;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public String getSys_name() {
		return sys_name;
	}

	public void setSys_name(String sys_name) {
		this.sys_name = sys_name;
	}

	public String getOrderCode() {
		return orderCode;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	public int getSeatId() {
		return seatId;
	}

	public void setSeatId(int seatId) {
		this.seatId = seatId;
	}

	public String getFoodName() {
		return foodName;
	}

	public void setFoodName(String foodName) {
		this.foodName = foodName;
	}

	public int getFoodNum() {
		return foodNum;
	}

	public void setFoodNum(int foodNum) {
		this.foodNum = foodNum;
	}

	

	public int getFoodId() {
		return foodId;
	}

	public void setFoodId(int foodId) {
		this.foodId = foodId;
	}

	public int getFoodType() {
		return foodType;
	}

	public void setFoodType(int foodType) {
		this.foodType = foodType;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public int getOrderId() {
		return orderId;
	}

	public int getOrderFoodId() {
		return orderFoodId;
	}

	public void setOrderFoodId(int orderFoodId) {
		this.orderFoodId = orderFoodId;
	}

	public List<Integer> getPreId() {
		return preId;
	}

	public void setPreId(List<Integer> preId) {
		this.preId = preId;
	}

	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}

	

			

}
